This endpoint retrieves a list of all policies for a specific organisation.
GET
https://api.employmenthero.com/api/v1/organisations/:organisation_id/policiesPath Parameters
organisation_iduuidrequired
The ID of the organisation to retrieve
Query Parameters
page_indexnumber
Current page index
Default
1Min
1item_per_pagenumber
Number of items per page
Default
20Max
100Response Body
A hash with a data property that contains an array of up to the limit of policy records. Each entry in the array is a separate policy object. If there is no more policies, the resulting array will be empty.
dataobject
itemsobject[]
iduuid
The policy id
namestring
The name of policy
inductionboolean
Determine policy is mandatory or not
created_atdatetime
Time at which the policy was created
page_indexnumber
Current page index
Default
1Min
1item_per_pagenumber
Number of items per page
Default
20Max
100total_itemsnumber
Total items
total_pagesnumber
Total pages
Example
curl -X GET \ "https://api.employmenthero.com/api/v1/organisations/:organisation_id/policies" \ -H "Authorization: Bearer AUXJ3123xyrj123fdsjkl124aAJKQ"Response
{ "data": { "items": [ { "id": "1d25a390-7b0e-0135-0209-061f87a4b1b6", "name": "Wonderful Company - Full-Disk Encryption Policy", "induction": true, "created_at": "2017-09-14T10:03:51+10:00" }, { "id": "91216a90-f3cb-0133-ec72-4a8f8c38fb42", "name": "Wonderful Company - Working From Home Agreement", "induction": false, "created_at": "2016-05-04T12:12:25+10:00" } ], "page_index": 1, "item_per_page": 20, "total_items": 2, "total_pages": 1 }}